package main
import "time"
type AccrualReferenceAmountTypeEnum int
const (
   Commitment AccrualReferenceAmountTypeEnum = 1 + iota
   Funded
   Other
   Unfunded
   Unutilized
   Utilized
)
type AccrualReferenceAmountTypeEnumObject int
const (
)
type AmountAdjustmentEnum int
const (
   Decrease AmountAdjustmentEnum = 1 + iota
   Increase
)
type AmountAdjustmentEnumObject int
const (
)
type AveragingInOutEnum int
const (
   In AveragingInOutEnum = 1 + iota
   Out
   Both
)
type AveragingInOutEnumObject int
const (
)
type AveragingMethodEnum int
const (
   Unweighted AveragingMethodEnum = 1 + iota
   Weighted
)
type AveragingMethodEnumObject int
const (
)
type BreakageCalculatedByEnum int
const (
   AgentBank BreakageCalculatedByEnum = 1 + iota
   Lender
)
type BreakageCalculatedByEnumObject int
const (
)
type BullionTypeEnum int
const (
   Gold BullionTypeEnum = 1 + iota
   Palladium
   Platinum
   Silver
   Rhodium
   RhodiumSponge
   Iridium
   Ruthenium
   Osmium
)
type BullionTypeEnumObject int
const (
)
type BusinessDayConventionEnum int
const (
   FOLLOWING BusinessDayConventionEnum = 1 + iota
   FRN
   MODFOLLOWING
   PRECEDING
   MODPRECEDING
   NEAREST
   NONE
   NotApplicable
)
type BusinessDayConventionEnumObject int
const (
)
type BuySellEnum int
const (
   Buyer BuySellEnum = 1 + iota
   Seller
)
type BuySellEnumObject int
const (
)
type CalculationAgentPartyEnum int
const (
   ExercisingParty CalculationAgentPartyEnum = 1 + iota
   NonExercisingParty
   AsSpecifiedInMasterAgreement
   AsSpecifiedInStandardTermsSupplement
   Both
)
type CalculationAgentPartyEnumObject int
const (
)
type CalendarSourceEnum int
const (
   ListedOption CalendarSourceEnum = 1 + iota
   Future
)
type CalendarSourceEnumObject int
const (
)
type CallingPartyEnum int
const (
   InitialBuyer CallingPartyEnum = 1 + iota
   InitialSeller
   Either
   AsDefinedInMasterAgreement
)
type CallingPartyEnumObject int
const (
)
type CollateralValueAllocationEnum int
const (
   Buffer CollateralValueAllocationEnum = 1 + iota
   Full
   ExcessOverMargin
   Margin
)
type CollateralValueAllocationEnumObject int
const (
)
type CommissionDenominationEnum int
const (
   BPS CommissionDenominationEnum = 1 + iota
   Percentage
   CentsPerShare
   FixedAmount
)
type CommissionDenominationEnumObject int
const (
)
type CommodityBullionSettlementDisruptionEnum int
const (
   Negotiation CommodityBullionSettlementDisruptionEnum = 1 + iota
   CancellationAndPayment
)
type CommodityBullionSettlementDisruptionEnumObject int
const (
)
type CommodityDayTypeEnum int
const (
)
type CommodityDayTypeEnumMember1 int
const (
   GasFlow CommodityDayTypeEnumMember1 = 1 + iota
   NearbyContractDay
)
type CommodityDayTypeEnumMember1Object int
const (
)
type CommodityKnockEnum int
const (
   In CommodityKnockEnum = 1 + iota
   Out
)
type CommodityKnockEnumObject int
const (
)
type CommodityPayRelativeToEnum int
const (
)
type CommodityPayRelativeToEnumMember1 int
const (
   CalculationDate CommodityPayRelativeToEnumMember1 = 1 + iota
   CalculationPeriodMonthEnd
   CalculationPeriodMonthStart
   EffectiveDate
   PricingPeriodMonthEnd
   TerminationOrExpirationDate
   TradeDate
   PricingPeriodEndOfWeek
   FirstPricingDate
)
type CommodityPayRelativeToEnumMember1Object int
const (
)
type CommodityReturnCalculationFormulaEnum int
const (
   SimpleFormula CommodityReturnCalculationFormulaEnum = 1 + iota
   CompoundFormula
)
type CommodityReturnCalculationFormulaEnumObject int
const (
)
type CompoundingMethodEnum int
const (
   Flat CompoundingMethodEnum = 1 + iota
   None
   Straight
   SpreadExclusive
)
type CompoundingMethodEnumObject int
const (
)
type ConditionEnum int
const (
   AtOrAbove ConditionEnum = 1 + iota
   AtOrBelow
   Above
   Below
)
type ConditionEnumObject int
const (
)
type ConditionsPrecedentMetEnum int
const (
   No ConditionsPrecedentMetEnum = 1 + iota
   Waived
   Yes
)
type ConditionsPrecedentMetEnumObject int
const (
)
type CorrelationValue int
const (
)
type DayOfWeekEnum int
const (
   MON DayOfWeekEnum = 1 + iota
   TUE
   WED
   THU
   FRI
   SAT
   SUN
)
type DayOfWeekEnumObject int
const (
)
type DayOfWeekExtEnum int
const (
)
type DayOfWeekExtEnumMember1 int
const (
   WD DayOfWeekExtEnumMember1 = 1 + iota
   WN
)
type DayOfWeekExtEnumMember1Object int
const (
)
type DayTypeEnum int
const (
   Business DayTypeEnum = 1 + iota
   Calendar
   CommodityBusiness
   CurrencyBusiness
   ExchangeBusiness
   ScheduledTradingDay
)
type DayTypeEnumObject int
const (
)
type DealtCurrencyEnum int
const (
   ExchangedCurrency1 DealtCurrencyEnum = 1 + iota
   ExchangedCurrency2
)
type DealtCurrencyEnumObject int
const (
)
type DeliveryDatesEnum int
const (
   CalculationPeriod DeliveryDatesEnum = 1 + iota
   FirstNearby
   SecondNearby
   ThirdNearby
   FourthNearby
   FifthNearby
   SixthNearby
   SeventhNearby
   EighthNearby
   NinthNearby
   TenthNearby
   EleventhNearby
   TwelfthNearby
   ThirteenthNearby
   FourteenthNearby
   FifteenthNearby
   SixteenthNearby
   SeventeenthNearby
   EighteenthNearby
   NineteenthNearby
   TwentiethNearby
   TwentyFirstNearby
   TwentySecondNearby
   TwentyThirdNearby
   TwentyFourthNearby
   TwentyFifthNearby
   TwentySixthNearby
   TwentySeventhNearby
   TwentyEighthNearby
   TwentyNinthNearby
   ThirtiethNearby
   ThirtyFirstNearby
   ThirtySecondNearby
   ThirtyThirdNearby
   ThirtyFourthNearby
   ThirtyFifthNearby
   ThirtySixthNearby
   ThirtySeventhNearby
   ThirtyEighthNearby
   ThirtyNinthNearby
   FortiethNearby
   FortyFirstNearby
   FortySecondNearby
   FortyThirdNearby
   FortyFourthNearby
   FortyFifthNearby
   FortySixthNearby
   FortySeventhNearby
   FortyEighthNearby
   FortyNinthNearby
   FiftiethNearby
   FiftyFirstNearby
   FiftySecondNearby
   FiftyThirdNearby
   FiftyFourthNearby
   FiftyFifthNearby
   FiftySixthNearby
   FiftySeventhNearby
   FiftyEighthNearby
   FiftyNinthNearby
   Spot
   FirstNearbyWeek
   SecondNearbyWeek
   ThirdNearbyWeek
   FourthNearbyWeek
   FifthNearbyWeek
   SixthNearbyWeek
   SeventhNearbyWeek
   EighthNearbyWeek
   NinthNearbyWeek
   TenthNearbyWeek
   EleventhNearbyWeek
   TwelfthNearbyWeek
   ThirteenthNearbyWeek
   FourteenthNearbyWeek
   FifteenthNearbyWeek
   SixteenthNearbyWeek
   SeventeenthNearbyWeek
   EighteenthNearbyWeek
   NineteenthNearbyWeek
   TwentiethNearbyWeek
   TwentyFirstNearbyWeek
   TwentySecondNearbyWeek
   TwentyThirdNearbyWeek
   TwentyFourthearbyWeek
   TwentyFifthNearbyWeek
   TwentySixthNearbyWeek
   TwentySeventhNearbyWeek
   TwentyEighthNearbyWeek
   TwentyNinthNearbyWeek
   ThirtiethNearbyWeek
   ThirtyFirstNearbyWeek
   ThirtySecondNearbyWeek
   ThirtyThirdNearbyWeek
   ThirtyFourthNearbyWeek
   ThirtyFifthNearbyWeek
   ThirtySixthNearbyWeek
   ThirtySeventhNearbyWeek
   ThirtyEighthNearbyWeek
   ThirtyNinthNearbyWeek
   FortiethNearbyWeek
   FortyFirstNearbyWeek
   FortySecondNearbyWeek
   FortyThirdNearbyWeek
   FortyFourthNearbyWeek
   FortyFifthNearbyWeek
   FortySixthNearbyWeek
   FortySeventhNearbyWeek
   FortyEighthNearbyWeek
   FortyNinthNearbyWeek
   FiftiethNearbyWeek
   FiftyFirstNearbyWeek
   FiftySecondNearbyWeek
)
type DeliveryDatesEnumObject int
const (
)
type DeliveryNearbyTypeEnum int
const (
   CalculationPeriod DeliveryNearbyTypeEnum = 1 + iota
   NearbyMonth
   NearbyWeek
)
type DeliveryNearbyTypeEnumObject int
const (
)
type DeliveryTypeEnum int
const (
   Firm DeliveryTypeEnum = 1 + iota
   Interruptible
)
type DeliveryTypeEnumObject int
const (
)
type DifferenceSeverityEnum int
const (
   Warning DifferenceSeverityEnum = 1 + iota
   Error
)
type DifferenceSeverityEnumObject int
const (
)
type DifferenceTypeEnum int
const (
   Value DifferenceTypeEnum = 1 + iota
   Reference
   Structure
   Scheme
)
type DifferenceTypeEnumObject int
const (
)
type DiscountingTypeEnum int
const (
   Standard DiscountingTypeEnum = 1 + iota
   FRA
   FRAYield
)
type DiscountingTypeEnumObject int
const (
)
type DisruptionFallbacksEnum int
const (
   AsSpecifiedInMasterAgreement DisruptionFallbacksEnum = 1 + iota
   AsSpecifiedInConfirmation
)
type DisruptionFallbacksEnumObject int
const (
)
type DividendAmountTypeEnum int
const (
   RecordAmount DividendAmountTypeEnum = 1 + iota
   ExAmount
   PaidAmount
   AsSpecifiedInMasterConfirmation
)
type DividendAmountTypeEnumObject int
const (
)
type DividendCompositionEnum int
const (
   EquityAmountReceiverElection DividendCompositionEnum = 1 + iota
   CalculationAgentElection
)
type DividendCompositionEnumObject int
const (
)
type DividendDateReferenceEnum int
const (
   ExDate DividendDateReferenceEnum = 1 + iota
   DividendPaymentDate
   DividendValuationDate
   RecordDate
   TerminationDate
   EquityPaymentDate
   FollowingPaymentDate
   AdHocDate
   CumulativeEquityPaid
   CumulativeLiborPaid
   CumulativeEquityExDiv
   CumulativeLiborExDiv
   SharePayment
   CashSettlementPaymentDate
   FloatingAmountPaymentDate
   CashSettlePaymentDateExDiv
   CashSettlePaymentDateIssuerPayment
   ExDividendPaymentDate
)
type DividendDateReferenceEnumObject int
const (
)
type DividendEntitlementEnum int
const (
   ExDate DividendEntitlementEnum = 1 + iota
   RecordDate
)
type DividendEntitlementEnumObject int
const (
)
type DividendPeriodEnum int
const (
   FirstPeriod DividendPeriodEnum = 1 + iota
   SecondPeriod
)
type DividendPeriodEnumObject int
const (
)
type DualCurrencyStrikeQuoteBasisEnum int
const (
   DepositCurrencyPerAlternateCurrency DualCurrencyStrikeQuoteBasisEnum = 1 + iota
   AlternateCurrencyPerDepositCurrency
)
type DualCurrencyStrikeQuoteBasisEnumObject int
const (
)
type EarlyTerminationDateEnum int
const (
   AnyDay EarlyTerminationDateEnum = 1 + iota
   ValuationDate
   ResetDate
   AfterFirstResetDate
   AsSpecifiedInMCA
)
type EarlyTerminationDateEnumObject int
const (
)
type ElectricityProductTypeEnum int
const (
   Electricity ElectricityProductTypeEnum = 1 + iota
)
type ElectricityProductTypeEnumObject int
const (
)
type EnvironmentalAbandonmentOfSchemeEnum int
const (
   OptionA1 EnvironmentalAbandonmentOfSchemeEnum = 1 + iota
   OptionA2
   OptionB
   OptionC
)
type EnvironmentalAbandonmentOfSchemeEnumObject int
const (
)
type EnvironmentalProductTypeEnum int
const (
   EUAllowance EnvironmentalProductTypeEnum = 1 + iota
   EUCredit
   AlternativeAllowance
   NOXEmissionsProduct
   RegionalEmissionsProduct
   RGGIEmissionsProduct
   SO2EmissionsProduct
   StateEmissionProduct
   VoluntaryEmissionProduct
   RenewableEnergyCertificate
   AUSCarbonCreditUnit
   AUSCarbonUnit
   AUSEnergySavingCertificate
   AUSLargeScaleGenerationCertificate
   AUSSmallScaleTechnologyCertificate
   AUSVictorianEnergyEfficiencyCertificate
   MXCCFECRTINTLODS
   NZEmissionsUnits
   UKRenewableObligationCertificate
)
type EnvironmentalProductTypeEnumObject int
const (
)
type EquityOptionTypeEnum int
const (
)
type EquityOptionTypeEnumMember1 int
const (
   Forward EquityOptionTypeEnumMember1 = 1 + iota
)
type EquityOptionTypeEnumMember1Object int
const (
)
type ExerciseActionEnum int
const (
   FullExercise ExerciseActionEnum = 1 + iota
   PartialExercise
   Abandon
)
type ExerciseActionEnumObject int
const (
)
type ExerciseSideEnum int
const (
)
type ExerciseSideEnumMember1 int
const (
   Payer ExerciseSideEnumMember1 = 1 + iota
   Receiver
)
type ExerciseSideEnumMember1Object int
const (
)
type ExerciseStyleEnum int
const (
   American ExerciseStyleEnum = 1 + iota
   Bermuda
   European
)
type ExerciseStyleEnumObject int
const (
)
type ExerciseTimingEnum int
const (
   Immediate ExerciseTimingEnum = 1 + iota
   OnExpiration
)
type ExerciseTimingEnumObject int
const (
)
type FeeElectionEnum int
const (
   FlatFee FeeElectionEnum = 1 + iota
   AmortizedFee
   FundingFee
   FlatFeeAndFundingFee
   AmortizedFeeAndFundingFee
)
type FeeElectionEnumObject int
const (
)
type FlatRateEnum int
const (
   Fixed FlatRateEnum = 1 + iota
   Floating
)
type FlatRateEnumObject int
const (
)
type FpmlVersionType int
const (
)
type FPVFinalPriceElectionFallbackEnum int
const (
   FPVClose FPVFinalPriceElectionFallbackEnum = 1 + iota
   FPVHedgeExecution
)
type FPVFinalPriceElectionFallbackEnumObject int
const (
)
type FraDiscountingEnum int
const (
   ISDA FraDiscountingEnum = 1 + iota
   AFMA
   NONE
   ISDAYield
)
type FraDiscountingEnumObject int
const (
)
type FxAccrualKnockoutBarrierRetentionEnum int
const (
   Keep FxAccrualKnockoutBarrierRetentionEnum = 1 + iota
   Lose
)
type FxAccrualKnockoutBarrierRetentionEnumObject int
const (
)
type FxAveragingMethodEnum int
const (
   Arithmetic FxAveragingMethodEnum = 1 + iota
   Harmonic
)
type FxAveragingMethodEnumObject int
const (
)
type FxBarrierDirectionEnum int
const (
   Down FxBarrierDirectionEnum = 1 + iota
   Up
)
type FxBarrierDirectionEnumObject int
const (
)
type FxBarrierScopeEnum int
const (
   Global FxBarrierScopeEnum = 1 + iota
   PerExpiry
)
type FxBarrierScopeEnumObject int
const (
)
type FxBarrierStyleEnum int
const (
   American FxBarrierStyleEnum = 1 + iota
   European
)
type FxBarrierStyleEnumObject int
const (
)
type FxBarrierTypeEnum int
const (
   Knockin FxBarrierTypeEnum = 1 + iota
   Knockout
   ReverseKnockin
   ReverseKnockout
)
type FxBarrierTypeEnumObject int
const (
)
type FxBarrierTypeSimpleEnum int
const (
   Knockin FxBarrierTypeSimpleEnum = 1 + iota
   Knockout
)
type FxBarrierTypeSimpleEnumObject int
const (
)
type FxOffsetConventionEnum int
const (
   FxSpot FxOffsetConventionEnum = 1 + iota
   FxForward
)
type FxOffsetConventionEnumObject int
const (
)
type FxRegionLowerBoundDirectionEnum int
const (
   AtOrAbove FxRegionLowerBoundDirectionEnum = 1 + iota
   Above
)
type FxRegionLowerBoundDirectionEnumObject int
const (
)
type FxRegionUpperBoundDirectionEnum int
const (
   AtOrBelow FxRegionUpperBoundDirectionEnum = 1 + iota
   Below
)
type FxRegionUpperBoundDirectionEnumObject int
const (
)
type FxSettlementAdjustmentMethodEnum int
const (
   VariedStrike FxSettlementAdjustmentMethodEnum = 1 + iota
   VariedNotional
)
type FxSettlementAdjustmentMethodEnumObject int
const (
)
type FxStraddleTypeEnum int
const (
   AtTheMoneyForward FxStraddleTypeEnum = 1 + iota
   DeltaNeutral
)
type FxStraddleTypeEnumObject int
const (
)
type FxTargetStyleEnum int
const (
   Exact FxTargetStyleEnum = 1 + iota
   Exclusive
   Inclusive
)
type FxTargetStyleEnumObject int
const (
)
type FxTenorPeriodEnum int
const (
   Broken FxTenorPeriodEnum = 1 + iota
   Today
   Tomorrow
   TomorrowNext
   Spot
   SpotNext
)
type FxTenorPeriodEnumObject int
const (
)
type GasProductTypeEnum int
const (
   Butane GasProductTypeEnum = 1 + iota
   CarbonDioxide
   EPMix
   Ethane
   Gasoline
   Helium
   HydrogenSulfide
   Isobutane
   Methane
   Naphtha
   NaturalGas
   Nitrogen
   Pentane
   Propane
   Propylene
   Water
)
type GasProductTypeEnumObject int
const (
)
type HourMinuteTime int
const (
)
type IndexEventConsequenceEnum int
const (
   CalculationAgentAdjustment IndexEventConsequenceEnum = 1 + iota
   NegotiatedCloseOut
   CancellationAndPayment
   RelatedExchange
)
type IndexEventConsequenceEnumObject int
const (
)
type Initial int
const (
)
type InterestCalculationMethodEnum int
const (
   ContractPositionThruPeriod InterestCalculationMethodEnum = 1 + iota
   ProRataShareSnapshot
)
type InterestCalculationMethodEnumObject int
const (
)
type InterestShortfallCapEnum int
const (
   Fixed InterestShortfallCapEnum = 1 + iota
   Variable
)
type InterestShortfallCapEnumObject int
const (
)
type InterpolationPeriodEnum int
const (
   Initial InterpolationPeriodEnum = 1 + iota
   InitialAndFinal
   Final
   AnyPeriod
)
type InterpolationPeriodEnumObject int
const (
)
type LcAutoAdjustEnum int
const (
   AutoDecrease LcAutoAdjustEnum = 1 + iota
   AutoIncrease
   AutoIncreaseOrDecrease
)
type LcAutoAdjustEnumObject int
const (
)
type LengthUnitEnum int
const (
   Pages LengthUnitEnum = 1 + iota
   TimeUnit
)
type LengthUnitEnumObject int
const (
)
type LimitModelEnum int
const (
   Ping LimitModelEnum = 1 + iota
   Plus1ToStop
   Plus1ToPing
   PushToPing
   PushToStop
)
type LimitModelEnumObject int
const (
)
type LoadTypeEnum int
const (
   Base LoadTypeEnum = 1 + iota
   Peak
   OffPeak
   BlockHours
   Custom
)
type LoadTypeEnumObject int
const (
)
type LoanTradingAccrualSettlementEnum int
const (
   Flat LoanTradingAccrualSettlementEnum = 1 + iota
   SettledWithAccrued
   SettledWithoutAccrued
)
type LoanTradingAccrualSettlementEnumObject int
const (
)
type LoanTradingAccruingFeeTypeEnum int
const (
   Commitment LoanTradingAccruingFeeTypeEnum = 1 + iota
   Facility
   LetterOfCreditIssuance
   Ticking
   Utilization
)
type LoanTradingAccruingFeeTypeEnumObject int
const (
)
type LoanTradingAssocEnum int
const (
   LMA LoanTradingAssocEnum = 1 + iota
   LSTA
)
type LoanTradingAssocEnumObject int
const (
)
type LoanTradingDocTypeEnum int
const (
   Distressed LoanTradingDocTypeEnum = 1 + iota
   Par
)
type LoanTradingDocTypeEnumObject int
const (
)
type LoanTradingFormOfPurchaseEnum int
const (
   Assignment LoanTradingFormOfPurchaseEnum = 1 + iota
   AssignmentOnly
   Other
   LMAFundedParticipation
   LMAFundedRiskParticipation
   LMARiskParticipation
   LMARiskToFundedParticipation
   LMATransferAgreement
   LMATransferCertificate
   Participation
)
type LoanTradingFormOfPurchaseEnumObject int
const (
)
type LoanTradingNonRecurringFeeTypeEnum int
const (
   Amendment LoanTradingNonRecurringFeeTypeEnum = 1 + iota
   Consent
   Facility
   FacilityExension
   Upfront
   Waiver
)
type LoanTradingNonRecurringFeeTypeEnumObject int
const (
)
type LoanTradingSettlementTaskStatusEnum int
const (
   Active LoanTradingSettlementTaskStatusEnum = 1 + iota
   Cleared
   Cancelled
)
type LoanTradingSettlementTaskStatusEnumObject int
const (
)
type LoanTradingTypeEnum int
const (
   Primary LoanTradingTypeEnum = 1 + iota
   Secondary
)
type LoanTradingTypeEnumObject int
const (
)
type LoanTradingVotingRightsEnum int
const (
   PassedOnToBuyer LoanTradingVotingRightsEnum = 1 + iota
   RetainedBySeller
)
type LoanTradingVotingRightsEnumObject int
const (
)
type LoanTransferFeePaidByEnum int
const (
   BuyerSplitOneHalf LoanTransferFeePaidByEnum = 1 + iota
   OneFeePaidByBuyer
   OneFeePaidBySeller
   PaidByBuyer
   PaidBySeller
   SellerSplitOneHalf
   SplitFull
)
type LoanTransferFeePaidByEnumObject int
const (
)
type MarginTypeEnum int
const (
   Cash MarginTypeEnum = 1 + iota
   Instrument
)
type MarginTypeEnumObject int
const (
)
type MarketDisruptionEventsEnum int
const (
   Applicable MarketDisruptionEventsEnum = 1 + iota
   NotApplicable
   AsSpecifiedInMasterAgreement
   AsSpecifiedInConfirmation
)
type MarketDisruptionEventsEnumObject int
const (
)
type MetalTitleEnum int
const (
   TransfersWithRiskOfLoss MetalTitleEnum = 1 + iota
   DoesNotTransferWithRiskOfLoss
)
type MetalTitleEnumObject int
const (
)
type MethodOfAdjustmentEnum int
const (
   CalculationAgent MethodOfAdjustmentEnum = 1 + iota
   OptionsExchange
)
type MethodOfAdjustmentEnumObject int
const (
)
type NationalisationOrInsolvencyOrDelistingEventEnum int
const (
   NegotiatedCloseout NationalisationOrInsolvencyOrDelistingEventEnum = 1 + iota
   CancellationAndPayment
)
type NationalisationOrInsolvencyOrDelistingEventEnumObject int
const (
)
type NegativeInterestRateTreatmentEnum int
const (
   NegativeInterestRateMethod NegativeInterestRateTreatmentEnum = 1 + iota
   ZeroInterestRateMethod
)
type NegativeInterestRateTreatmentEnumObject int
const (
)
type NonCashDividendTreatmentEnum int
const (
   PotentialAdjustmentEvent NonCashDividendTreatmentEnum = 1 + iota
   CashEquivalent
)
type NonCashDividendTreatmentEnumObject int
const (
)
type NonEmptyLongScheme int
const (
)
type NonEmptyScheme int
const (
)
type NonEmptyURI int
const (
)
type NonNegativeDecimal int
const (
)
type NormalizedString int
const (
)
type NotionalAdjustmentEnum int
const (
   Execution NotionalAdjustmentEnum = 1 + iota
   PortfolioRebalancing
   Standard
)
type NotionalAdjustmentEnumObject int
const (
)
type NotionalChangeEnum int
const (
   Increase NotionalChangeEnum = 1 + iota
   Decrease
)
type NotionalChangeEnumObject int
const (
)
type ObligationCategoryEnum int
const (
   Payment ObligationCategoryEnum = 1 + iota
   BorrowedMoney
   ReferenceObligationsOnly
   Bond
   Loan
   BondOrLoan
)
type ObligationCategoryEnumObject int
const (
)
type OptionTypeEnum int
const (
)
type OptionTypeEnumMember1 int
const (
   Payer OptionTypeEnumMember1 = 1 + iota
   Receiver
   Straddle
)
type OptionTypeEnumMember1Object int
const (
)
type PayerReceiverEnum int
const (
   Payer PayerReceiverEnum = 1 + iota
   Receiver
)
type PayerReceiverEnumObject int
const (
)
type PayoutEnum int
const (
   Deferred PayoutEnum = 1 + iota
   Immediate
)
type PayoutEnumObject int
const (
)
type PayRelativeToEnum int
const (
   CalculationPeriodStartDate PayRelativeToEnum = 1 + iota
   CalculationPeriodEndDate
   LastPricingDate
   ResetDate
   ValuationDate
)
type PayRelativeToEnumObject int
const (
)
type PeriodEnum int
const (
   D PeriodEnum = 1 + iota
   W
   M
   Y
)
type PeriodEnumObject int
const (
)
type PeriodExtendedEnum int
const (
)
type PeriodExtendedEnumMember1 int
const (
   T PeriodExtendedEnumMember1 = 1 + iota
)
type PeriodExtendedEnumMember1Object int
const (
)
type PeriodTimeEnum int
const (
)
type PeriodTimeEnumMember1 int
const (
   Hour PeriodTimeEnumMember1 = 1 + iota
   Minute
   Second
)
type PeriodTimeEnumMember1Object int
const (
)
type PointValue int
const (
)
type PositiveDecimal int
const (
)
type PremiumQuoteBasisEnum int
const (
   PercentageOfCallCurrencyAmount PremiumQuoteBasisEnum = 1 + iota
   PercentageOfPutCurrencyAmount
   CallCurrencyPerPutCurrency
   PutCurrencyPerCallCurrency
   Explicit
)
type PremiumQuoteBasisEnumObject int
const (
)
type PremiumTypeEnum int
const (
   PrePaid PremiumTypeEnum = 1 + iota
   PostPaid
   Variable
   Fixed
)
type PremiumTypeEnumObject int
const (
)
type PriceExpressionEnum int
const (
   AbsoluteTerms PriceExpressionEnum = 1 + iota
   PercentageOfNotional
)
type PriceExpressionEnumObject int
const (
)
type PutCallEnum int
const (
   Put PutCallEnum = 1 + iota
   Call
)
type PutCallEnumObject int
const (
)
type QuotationRateTypeEnum int
const (
   Bid QuotationRateTypeEnum = 1 + iota
   Ask
   Mid
   ExercisingPartyPays
)
type QuotationRateTypeEnumObject int
const (
)
type QuotationSideEnum int
const (
   Bid QuotationSideEnum = 1 + iota
   Ask
   Mid
)
type QuotationSideEnumObject int
const (
)
type QuotationStyleEnum int
const (
   PointsUpFront QuotationStyleEnum = 1 + iota
   TradedSpread
   Price
)
type QuotationStyleEnumObject int
const (
)
type QuoteBasisEnum int
const (
   Currency1PerCurrency2 QuoteBasisEnum = 1 + iota
   Currency2PerCurrency1
)
type QuoteBasisEnumObject int
const (
)
type RateTreatmentEnum int
const (
   BondEquivalentYield RateTreatmentEnum = 1 + iota
   MoneyMarketYield
)
type RateTreatmentEnumObject int
const (
)
type RealisedVarianceMethodEnum int
const (
   Previous RealisedVarianceMethodEnum = 1 + iota
   Last
   Both
)
type RealisedVarianceMethodEnumObject int
const (
)
type RepoDurationEnum int
const (
   Overnight RepoDurationEnum = 1 + iota
   Term
)
type RepoDurationEnumObject int
const (
)
type ResetRelativeToEnum int
const (
   CalculationPeriodStartDate ResetRelativeToEnum = 1 + iota
   CalculationPeriodEndDate
)
type ResetRelativeToEnumObject int
const (
)
type RestrictedPercentage int
const (
)
type ReturnTypeEnum int
const (
   Dividend ReturnTypeEnum = 1 + iota
   Price
   Total
)
type ReturnTypeEnumObject int
const (
)
type RollConventionEnum int
const (
   EOM RollConventionEnum = 1 + iota
   FRN
   IMM
   IMMCAD
   IMMAUD
   IMMNZD
   SFE
   NONE
   TBILL
   _1
   _2
   _3
   _4
   _5
   _6
   _7
   _8
   _9
   _10
   _11
   _12
   _13
   _14
   _15
   _16
   _17
   _18
   _19
   _20
   _21
   _22
   _23
   _24
   _25
   _26
   _27
   _28
   _29
   _30
   MON
   TUE
   WED
   THU
   FRI
   SAT
   SUN
)
type RollConventionEnumObject int
const (
)
type RoundingDirectionEnum int
const (
   Up RoundingDirectionEnum = 1 + iota
   Down
   Nearest
)
type RoundingDirectionEnumObject int
const (
)
type Scheme int
const (
)
type SettlementPeriodDurationEnum int
const (
   _2Hours SettlementPeriodDurationEnum = 1 + iota
   _1Hour
   _30Minutes
   _15Minutes
)
type SettlementPeriodDurationEnumObject int
const (
)
type SettlementTypeEnum int
const (
   Cash SettlementTypeEnum = 1 + iota
   Physical
   Election
   CashOrPhysical
)
type SettlementTypeEnumObject int
const (
)
type ShareExtraordinaryEventEnum int
const (
   AlternativeObligation ShareExtraordinaryEventEnum = 1 + iota
   CancellationAndPayment
   OptionsExchange
   CalculationAgent
   ModifiedCalculationAgent
   PartialCancellationAndPayment
   Component
)
type ShareExtraordinaryEventEnumObject int
const (
)
type SpecifiedPriceEnum int
const (
   Afternoon SpecifiedPriceEnum = 1 + iota
   Ask
   Bid
   Closing
   High
   Index
   MeanOfBidAndAsk
   LocationalMarginal
   Low
   MarginalHourly
   MarketClearing
   MeanOfHighAndLow
   Morning
   Official
   Opening
   OSP
   Settlement
   Spot
   Midpoint
   NationalSingle
   WeightedAverage
   UnWeightedAverage
)
type SpecifiedPriceEnumObject int
const (
)
type StandardSettlementStyleEnum int
const (
   Standard StandardSettlementStyleEnum = 1 + iota
   Net
   StandardAndNet
)
type StandardSettlementStyleEnumObject int
const (
)
type StepRelativeToEnum int
const (
   Initial StepRelativeToEnum = 1 + iota
   Previous
)
type StepRelativeToEnumObject int
const (
)
type StrikeQuoteBasisEnum int
const (
   PutCurrencyPerCallCurrency StrikeQuoteBasisEnum = 1 + iota
   CallCurrencyPerPutCurrency
)
type StrikeQuoteBasisEnumObject int
const (
)
type String int
const (
)
type StubPeriodTypeEnum int
const (
   ShortInitial StubPeriodTypeEnum = 1 + iota
   ShortFinal
   LongInitial
   LongFinal
)
type StubPeriodTypeEnumObject int
const (
)
type TelephoneTypeEnum int
const (
   Work TelephoneTypeEnum = 1 + iota
   Mobile
   Fax
   Personal
)
type TelephoneTypeEnumObject int
const (
)
type TimeTypeEnum int
const (
   Close TimeTypeEnum = 1 + iota
   Open
   OSP
   SpecificTime
   XETRA
   DerivativesClose
   AsSpecifiedInMasterConfirmation
)
type TimeTypeEnumObject int
const (
)
type Token int
const (
)
type Token60 int
const (
)
type TouchConditionEnum int
const (
   Touch TouchConditionEnum = 1 + iota
   Notouch
)
type TouchConditionEnumObject int
const (
)
type TriggerConditionEnum int
const (
   AtOrAbove TriggerConditionEnum = 1 + iota
   AtOrBelow
   Above
   Below
)
type TriggerConditionEnumObject int
const (
)
type TriggerTimeTypeEnum int
const (
   Closing TriggerTimeTypeEnum = 1 + iota
   Anytime
)
type TriggerTimeTypeEnumObject int
const (
)
type TriggerTypeEnum int
const (
   EqualOrLess TriggerTypeEnum = 1 + iota
   EqualOrGreater
   Equal
   Less
   Greater
)
type TriggerTypeEnumObject int
const (
)
type ValuationMethodEnum int
const (
   Market ValuationMethodEnum = 1 + iota
   Highest
   AverageMarket
   AverageHighest
   BlendedMarket
   BlendedHighest
   AverageBlendedMarket
   AverageBlendedHighest
)
type ValuationMethodEnumObject int
const (
)
type ValuationTypeEnum int
const (
   Model ValuationTypeEnum = 1 + iota
   Market
)
type ValuationTypeEnumObject int
const (
)
type WeatherSettlementLevelEnum int
const (
   Cumulative WeatherSettlementLevelEnum = 1 + iota
   Average
   Mximum
   Minimum
)
type WeatherSettlementLevelEnumObject int
const (
)
type WeeklyRollConventionEnum int
const (
)
type WeeklyRollConventionEnumMember1 int
const (
   TBILL WeeklyRollConventionEnumMember1 = 1 + iota
)
type WeeklyRollConventionEnumMember1Object int
const (
)
